FeatureTypes.Repository (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.FeatureTypes.Repository interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Interface FeatureTypes.Repository

All Superinterfaces:
  Annotatable, Changeable

All Known Implementing Classes:
  FeatureTypes.RepositoryImpl

Enclosing class:
  FeatureTypes

    public static interface FeatureTypes.Repository

extends Annotatable

A named collection of Types.

Since:
  1.3
Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`String` | `getName()` The name of this repository.
`FeatureTypes.Type` | `getType(String name)` Find the type for a name.
`Set` | `getTypes()` Get a set of all type names defined in this repository.

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getName

    String getName()

  The name of this repository.

  This will be the ${repository} component of any URIs of types defined here.

  Returns:
    the name of the repository

### getTypes

    Set getTypes()

  Get a set of all type names defined in this repository.

  Returns:
    a Set of Type names as Strings

### getType

    FeatureTypes.Type getType(String name)
                              throws NoSuchElementException

  Find the type for a name.

  Parameters:
    `name` - the name of the Type
  Returns:
    the Type of that name
  Throws:
    `NoSuchElementException` - if that type can not be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD